## tdegames-trinity 14.2.0~pre178

=== libtdegames/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libtdegames )

add_subdirectory( carddecks )
add_subdirectory( highscore )
add_subdirectory( kgame )
add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tdegames (shared) #########################

tde_add_library( tdegames SHARED AUTOMOC
  SOURCES kcarddialog.cpp kstdgameaction.cpp kgamemisc.cpp kchatbase.cpp
    kchat.cpp kchatdialog.cpp kgameprogress.cpp kcanvasrootpixmap.cpp
    kgamelcd.cpp
  VERSION 4.0.0
  EMBED khighscore-static kgame-static kgamedialogs-static
  LINK tdecore-shared tdeui-shared tdednssd-shared tdeio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### headers ###################################

install( FILES
    kgamemisc.h kcarddialog.h kstdgameaction.h kchatbase.h kchat.h
    kchatdialog.h kgameprogress.h kcanvasrootpixmap.h kgamelcd.h kgrid2d.h
  DESTINATION ${INCLUDE_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )


##### other data

string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )

configure_file( ${PROJECT_NAME}.pc.cmake ${PROJECT_NAME}.pc @ONLY )

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc
    DESTINATION ${PKGCONFIG_INSTALL_DIR}
)

=== debian/changelog ===
tdegames-trinity (4:14.2.0~pre178-0raspbian13.0.0+10) raspbian-trixie; urgency=low

  * Automated git build for 9b746adbf0ae40eedb3125abe2752a6d2a7ac751
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdegames

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 31 Jan 2026 14:12:56 +0100

=== debian/control ===
Source: tdegames-trinity
Section: games
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Daniel Schepler <schepler@debian.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdemultimedia-trinity-dev, groff-base, bzip2, libogg-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, tdelibs14-trinity-doc
Standards-Version: 3.8.4

Package: tdegames-trinity
Architecture: all
Multi-Arch: foreign
Section: tde
Replaces: kdegames-trinity (<< 4:14.0.0~)
Breaks: kdegames-trinity (<< 4:14.0.0~)
Depends: atlantik-trinity (>= ${source:Version}), kasteroids-trinity (>= ${source:Version}), katomic-trinity (>= ${source:Version}), kbackgammon-trinity (>= ${source:Version}), kbattleship-trinity (>= ${source:Version}), kblackbox-trinity (>= ${source:Version}), kbounce-trinity (>= ${source:Version}), kenolaba-trinity (>= ${source:Version}), kfouleggs-trinity (>= ${source:Version}), kgoldrunner-trinity (>= ${source:Version}), kjumpingcube-trinity (>= ${source:Version}), klickety-trinity (>= ${source:Version}), klines-trinity (>= ${source:Version}), kmahjongg-trinity (>= ${source:Version}), kmines-trinity (>= ${source:Version}), knetwalk-trinity (>= ${source:Version}), kolf-trinity (>= ${source:Version}), konquest-trinity (>= ${source:Version}), kpat-trinity (>= ${source:Version}), kpoker-trinity (>= ${source:Version}), kreversi-trinity (>= ${source:Version}), ksame-trinity (>= ${source:Version}), kshisen-trinity (>= ${source:Version}), ksirtet-trinity (>= ${source:Version}), ksmiletris-trinity (>= ${source:Version}), ksnake-trinity (>= ${source:Version}), ksokoban-trinity (>= ${source:Version}), kspaceduel-trinity (>= ${source:Version}), ktron-trinity (>= ${source:Version}), ktuberling-trinity (>= ${source:Version}), twin4-trinity (>= ${source:Version}), lskat-trinity (>= ${source:Version}), tdefifteen-trinity (>= ${source:Version})
Suggests: tdegames-trinity-doc-html (>= ${source:Version}), khelpcenter-trinity
Description: games from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of games provided with
 the official release of TDE.

Package: tdegames-trinity-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Replaces: kdegames-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdegames-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdegames-trinity
Description: TDE games documentation in HTML format
 By default the games provided with TDE (the Trinity Desktop Environment)
 only provide their documentation in TDE docbook format, which can
 only be read by Konqueror or KHelpCenter.  This package provides all
 of the TDE games documentation converted to HTML format so it can be
 read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/en/<package>/, for instance
 /usr/share/doc/tde/HTML/en/kasteroids/.
 .
 This package is part of TDE, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: libtdegames4-trinity
Architecture: any
Multi-Arch: no
Section: games
Depends: ${shlibs:Depends}, libtdegames-data-trinity
Description: Trinity games library
 This library provides a common infrastructure for several of the
 games in the TDE distribution. Features include standardized menu
 items, high score handling, card display, and network connections
 including chat capabilities.
 .
 This package is part of TDE, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: libtdegames-data-trinity
Architecture: all
Multi-Arch: foreign
Section: games
Breaks: libtdegames1-trinity (<< 4:14.1.6~)
Conflicts: libtdegames1-trinity (<< 4:14.1.6~)
Depends: ${shlibs:Depends}
Description: Common files for Trinity games library
 This package provides a common files for Trinity games library,
 such as icons for standardized menu items.
 .
 This package is part of TDE, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: tdegames-trinity-dbg
Architecture: any
Multi-Arch: no
Depends: tdelibs-trinity-dbg
Replaces: kdegames-trinity-dbg (<< 4:14.0.0~)
Breaks: kdegames-trinity-dbg (<< 4:14.0.0~)
Priority: extra
Section: tde
Description: debugging symbols for tdegames
 This package contains the debugging symbols associated with tdegames.
 They will automatically be used by gdb for debugging tdegames-related
 issues.

Package: libtdegames-trinity-dev
Architecture: any
Multi-Arch: no
Section: libdevel
Replaces: libkdegames-trinity-dev (<< 4:14.0.0~)
Breaks: libkdegames-trinity-dev (<< 4:14.0.0~)
Depends: tdelibs14-trinity-dev, libtdegames4-trinity (= ${source:Version})
Description: Trinity games library headers
 This package is necessary if you want to develop your own games using
 the TDE games library.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: libtdegames-trinity-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Replaces: libkdegames-trinity-doc (<< 4:14.0.0~)
Breaks: libkdegames-trinity-doc (<< 4:14.0.0~)
Recommends: tdelibs14-trinity-doc
Suggests: konqueror-trinity | www-browser, libtdegames-trinity-dev
Description: API documentation for the Trinity games library
 This package contains the developers' documentation for libtdegames.
 You may want to install it if you wish to develop games for TDE.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: tdegames-card-data-trinity
Architecture: all
Multi-Arch: foreign
Section: games
Replaces: kdegames-card-data-trinity (<< 4:14.0.0~)
Breaks: kdegames-card-data-trinity (<< 4:14.0.0~)
Description: Card decks for Trinity games
 Several different collections of card images for use by TDE games.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: atlantik-trinity
Architecture: any
Multi-Arch: foreign
Section: games
Replaces: atlantik-trinity (<< 4:14.0.0~)
Breaks: atlantik-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: atlantikdesigner-trinity, monopd
Description: TDE client for Monopoly-like network games
 This is a TDE client for playing Monopoly-like boardgames on the
 monopd network.  It can play any board supported by the network
 server, including the classic Monopoly game, as well as the Atlantik
 game in which the property includes several major cities in North
 America and Europe.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: atlantik-trinity-dev
Architecture: any
Multi-Arch: no
Section: devel
Replaces: atlantik-trinity-dev (<< 4:14.0.0~)
Breaks: atlantik-trinity-dev (<< 4:14.0.0~)
Priority: extra
Depends: ${shlibs:Depends}, atlantik-trinity (= ${source:Version}), libtdegames-trinity-dev (= ${source:Version})
Description: Development files for Atlantik
 This package contains header files for compiling programs against the
 libraries which come with Atlantik.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kasteroids-trinity
Architecture: any
Multi-Arch: foreign
Section: games
Replaces: kasteroids-trinity (<< 4:14.0.0~)
Breaks: kasteroids-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Asteroids for Trinity
 You know this game.  It is based on Warwick Allison's QwSpriteField
 widget.
 .
 The objective of kasteroids is to destroy all the asteroids on the
 screen to advance to the next level. Your ship is destroyed if it
 makes contact with an asteroid.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: katomic-trinity
Architecture: any
Multi-Arch: foreign
Section: games
Replaces: katomic-trinity (<< 4:14.0.0~)
Breaks: katomic-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Atomic Entertainment game for Trinity
 This is a puzzle game, in which the object is to assemble a molecule
 from its atoms on a Sokoban-like board.  On each move, an atom goes
 as far as it can in a specified direction before being stopped by a
 wall or another atom.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbackgammon-trinity
Architecture: any
Multi-Arch: foreign
Section: games
Replaces: kbackgammon-trinity (<< 4:14.0.0~)
Breaks: kbackgammon-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: gnubg
Description: A Backgammon game for Trinity
 KBackgammon is a backgammon program for Trinity. It is based on the
 code, ideas and concepts of KFibs (which is a FIBS client for
 KDE1). For a short time, KBackgammon was called bacKgammon (if you
 know somebody who is still using bacKgammon, please force them to
 upgrade :-)).
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbattleship-trinity
Architecture: any
Multi-Arch: foreign
Section: games
Replaces: kbattleship-trinity (<< 4:14.0.0~)
Breaks: kbattleship-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Battleship game for Trinity
 This is an implementation of the Battleship game.  Each player tries
 to be the first to sink all the opponent's ships by firing "blindly"
 at them.  The game has options to play over a network connection or
 against the computer.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kblackbox-trinity
Architecture: any
Multi-Arch: foreign
Section: games
Replaces: kblackbox-trinity (<< 4:14.0.0~)
Breaks: kblackbox-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: A simple logical game for the Trinity project
 KBlackBox is a game of hide and seek played on an grid of boxes. Your
 opponent (Random number generator, in this case) has hidden several
 balls within this box. By shooting rays into the box and observing
 where they emerge it is possible to deduce the positions of the
 hidden balls. The fewer rays you use to find the balls, the lower
 your score.
 .
 This package is part of Trinity, and a component of the TDE games module.
 See the 'tde-trinity' and 'tdegames-trinity' packages for more information.

Package: kbounce-trinity
Architecture: any
Multi-Arch: foreign
Section: games
Replaces: kbounce-trinity (<< 4:14.0.0~)
Breaks: kbounce-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Jezzball clone for the Trinity Desktop Environment
 This is a clone of the popular Jezzball game originally created by
 Microsoft. Jezzball is one of the rare and simple games requiring
 skill, timing, and patience in order to be successful.  A ball begins
 to bounce off of an area enclosed by four borders (like a
 square). You must move your pointer to certain areas within the
